Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui.actions
Class CustomFiltersActionGroup

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup
          org.eclipse.jdt.ui.actions.CustomFiltersActionGroup

public class CustomFiltersActionGroup
extends ActionGroup

Action group to add the filter action to a view part's tool bar menu.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0

Constructor Summary
`CustomFiltersActionGroup(IViewPart part, StructuredViewer viewer)` Creates a new `CustomFiltersActionGroup`.
`CustomFiltersActionGroup(String ownerId, StructuredViewer viewer)` Creates a new `CustomFiltersActionGroup`.

Method Summary
`void` | `dispose()`
`void` | `fillActionBars(IActionBars actionBars)`
`void` | `fillViewMenu(IMenuManager viewMenu)` Fills the given view menu with the entries managed by the group.
`String[]` | `removeFiltersFor(Object parent, Object element, IContentProvider contentProvider)`
`void` | `restoreState(IMemento memento)` Restores the state of the filter actions from a memento.
`void` | `saveState(IMemento memento)` Saves the state of the custom filters in a memento.
`void` | `setFilters(String[] newFilters)`

Methods inherited from class org.eclipse.ui.actions.ActionGroup
`fillContextMenu, getContext, setContext, updateActionBars`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomFiltersActionGroup

    public CustomFiltersActionGroup(IViewPart part,
                                    StructuredViewer viewer)

  Creates a new `CustomFiltersActionGroup`.

Parameters:
  `part` - the view part that owns this action group
  `viewer` - the viewer to be filtered

### CustomFiltersActionGroup

    public CustomFiltersActionGroup(String ownerId,
                                    StructuredViewer viewer)

  Creates a new `CustomFiltersActionGroup`.

Parameters:
  `ownerId` - the id of this action group's owner
  `viewer` - the viewer to be filtered

Method Detail

### fillActionBars

    public void fillActionBars(IActionBars actionBars)

### removeFiltersFor

    public String[] removeFiltersFor(Object parent,
                                     Object element,
                                     IContentProvider contentProvider)

### setFilters

    public void setFilters(String[] newFilters)

### fillViewMenu

    public void fillViewMenu(IMenuManager viewMenu)

  Fills the given view menu with the entries managed by the group.

  Parameters:
    `viewMenu` - the menu to fill

### dispose

    public void dispose()

### saveState

    public void saveState(IMemento memento)

  Saves the state of the custom filters in a memento.

  Parameters:
    `memento` - the memento into which the state is saved

### restoreState

    public void restoreState(IMemento memento)

  Restores the state of the filter actions from a memento.

  Note: This method does not refresh the viewer.

  Parameters:
    `memento` - the memento from which the state is restored

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.